Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83788 - metacity should clamp windows to work area size on initial map
Summary: metacity should clamp windows to work area size on initial map
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: metacity
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 17:59 UTC by Telsa Gwynne
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-25 18:47:19 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 2003-02-08 17:59:26 UTC
Description of problem:

Metacity is making mozilal unusable on an 800x600 display

How reproducible: yes


Steps to Reproduce:

Start mozilla on an 800x600 display
Select preferences
A dialog window opens which metacity restricts in size to the desktop size
  
Actual results:

Window restricted to desktop size

Expected results:

Window restricted to desktop size minus any existing panels which the window
cannot be
dragged over. (Seems to just be a miscalculation, given the right size info
mozilla creates
a perfectly formed window at the sane size - Alan)

Additional info:

Comment 1 Havoc Pennington 2003-02-12 01:00:32 UTC
I feel pretty sure this is a dup of a bug I already moved to gnome.org...
I don't think metacity does anything here at the moment, to either screen size
or work area size. Perhaps mozilla does the screen size clamp itself?


Comment 2 Havoc Pennington 2004-05-25 18:47:19 UTC
http://bugzilla.gnome.org/show_bug.cgi?id=143145


Note You need to log in before you can comment on or make changes to this bug.